package entity;

import java.util.List;

public class Zutat implements Cloneable {
	private String name;
	private int preis;
	private int backzeit; 
	
	public Zutat(String name, int backzeit, int preis){
		super();
		this.name = name;
		this.preis = preis;
		this.backzeit = backzeit;
	}
	
	public List<String> aufRechnung(List<String> rechnung){
		rechnung.add(this.name + "\t" + this.preis);
		return rechnung;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getPreis() {
		return preis;
	}

	public void setPreis(int preis) {
		this.preis = preis;
	}

	public int getBackzeit() {
		return backzeit;
	}

	public void setBackzeit(int backzeit) {
		this.backzeit = backzeit;
	}

	@Override
	public String toString() {
		return "Zutat [name=" + name + ", preis=" + preis + ", backzeit=" + backzeit + "]";
	}
	
	@Override
	public Zutat clone() {
		return new Zutat(this.name, this.backzeit, this.preis);
	}
}
