package main;

import control.Pizzeria;
import entity.PizzaInterface;
import entity.Zutat;

public class Main {

	public static void main(String[] args) {
		Pizzeria pi = new Pizzeria();
		PizzaInterface pizza = null;
		do {
			pizza = pizzaBestellen(pi);
		} while (pizza != null);
	}

  public static PizzaInterface pizzaBestellen(Pizzeria pi) {
    PizzaInterface pizza;
    pizza = pi.pizzaAuswaehlen();
    if (pizza != null) {
    	Zutat zutat = null;
    	do {
    		zutat = pi.zutatAuswaehlen();
    		if (zutat != null) {
    			pizza = pizza.zutatHinzu(zutat);
    		}
    	} while (zutat != null); 
    	zutat = null;
    	do {
    		zutat = pi.zutatLoeschen(pizza);
    		if (zutat != null) {
    			pizza = pizza.zutatWeg(zutat.getName());
    		}
    	} while (zutat != null);
    	System.out.println("\n" + pizza.rechnung());
    	System.out.println("Gesamt:\t" + pizza.preis());
    	System.out.println("Es dauert mindestens " 
    			+ pizza.backzeit() + " Sekunden.\n");
    }
    return pizza;
  }

}
